package com.countrygamer.weepingangels.common.item

import java.util

import com.countrygamer.cgo.common.lib.util.UtilVector
import com.countrygamer.cgo.wrapper.common.item.ItemWrapper
import com.countrygamer.weepingangels.common.WeepingAngels
import cpw.mods.fml.relauncher.{Side, SideOnly}
import net.minecraft.entity.player.EntityPlayer
import net.minecraft.item.ItemStack
import net.minecraft.nbt.NBTTagCompound
import net.minecraft.world.World

/**
 *
 *
 * @author CountryGamer
 */
class ItemAngelTear() extends ItemWrapper(WeepingAngels.pluginID, "Angel's Tear") {

	override def onItemRightClick(itemStack: ItemStack, world: World,
			player: EntityPlayer): ItemStack = {

		if (itemStack.hasTagCompound) {
			val tagCom: NBTTagCompound = itemStack.getTagCompound
			if (tagCom.getString("type").equals("Teleportation")) {
				UtilVector.teleportVector(world, player)
			}
			else if (tagCom.getString("type").equals("Time Manipulation")) {
				// todo
			}
			tagCom.setInteger("uses", tagCom.getInteger("uses") - 1)
			if (tagCom.getInteger("uses") <= 0) {
				itemStack.stackSize -= 1
			}
		}
		itemStack
	}

	@SideOnly(Side.CLIENT)
	override def addInformation(itemStack: ItemStack, player: EntityPlayer, list: util.List[_],
			isAdvanced: Boolean): Unit = {
		if (itemStack.hasTagCompound)
			this.addInfo(list, itemStack.getTagCompound.getString("Type"))
	}
}
